summaryrefslogtreecommitdiff
path: root/tests/fate-run.sh
diff options
context:
space:
mode:
authorJames Almer <jamrial@gmail.com>2024-03-03 14:10:22 -0300
committerJames Almer <jamrial@gmail.com>2024-03-05 17:29:20 -0300
commit1f73b52850b5224a2503e8d5c96100a310585621 (patch)
tree5986228ec471712e88289097cc4045aa92a8f35c /tests/fate-run.sh
parent68f48d5c3021bb31f44cf99f52593b44c553db53 (diff)
fate/mov: print stream group information for avif/heic tests
Signed-off-by: James Almer <jamrial@gmail.com>
Diffstat (limited to 'tests/fate-run.sh')
-rwxr-xr-xtests/fate-run.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 7a7344e645..2de560354f 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -272,6 +272,19 @@ transcode(){
run ffprobe${PROGSUF}${EXECSUF} -bitexact $ffprobe_opts $tencfile || return
}
+stream_demux(){
+ src_fmt=$1
+ srcfile=$2
+ src_opts=$3
+ enc_opts=$4
+ ffprobe_opts=$5
+ tsrcfile=$(target_path $srcfile)
+ ffmpeg $DEC_OPTS -f $src_fmt $src_opts -i $tsrcfile $ENC_OPTS $FLAGS $enc_opts \
+ -f framecrc - || return
+ test -z "$ffprobe_opts" || \
+ run ffprobe${PROGSUF}${EXECSUF} -bitexact $ffprobe_opts $tsrcfile || return
+}
+
stream_remux(){
src_fmt=$1
srcfile=$2